/* -*-c-*-
 *
 * $Id: rlimits.h,v 1.1 1999/07/26 23:33:56 mdw Exp $
 *
 * List of resource limits known to mankind
 *
 * (c) 1999 Straylight/Edgeware
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of the `fw' port forwarder.
 *
 * `fw' is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * `fw' is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with `fw'; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: rlimits.h,v $
 * Revision 1.1  1999/07/26 23:33:56  mdw
 * Support code for new design.
 *
 */

/*----- Magic -------------------------------------------------------------*/

#ifndef R
#  error "Don't try including rlimits.h unless you know what you're doing"
#endif

#if defined(RLIMIT_OFILE) && !defined(RLIMIT_NOFILE)
#  define RLIMIT_NOFILE RLIMIT_OFILE
#endif

#ifdef RLIMIT_CPU
  R(RLIMIT_CPU, cpu)
#endif
#ifdef RLIMIT_FSIZE
  R(RLIMIT_FSIZE, fsize)
#endif
#ifdef RLIMIT_DATA
  R(RLIMIT_DATA, data)
#endif
#ifdef RLIMIT_STACK
  R(RLIMIT_STACK, stack)
#endif
#ifdef RLIMIT_CORE
  R(RLIMIT_CORE, core)
#endif
#ifdef RLIMIT_RSS
  R(RLIMIT_RSS, rss)
#endif
#ifdef RLIMIT_NPROC
  R(RLIMIT_NPROC, nproc)
#endif
#ifdef RLIMIT_NOFILE
  R(RLIMIT_NOFILE, nofile)
#endif
#ifdef RLIMIT_MEMLOCK
  R(RLIMIT_MEMLOCK, memlock)
#endif
#ifdef RLIMIT_VMEM
  R(RLIMIT_VMEM, vmem)
#endif
#ifdef RLIMIT_AS
  R(RLIMIT_AS, as)
#endif

#undef R

/*----- That's all, folks -------------------------------------------------*/
